### Constructor

# Ggit Diff new_tree_to_tree

#### Declaration [src]

    GgitDiff*
    ggit_diff_new_tree_to_tree (
      GgitRepository* repository,
      GgitTree* old_tree,
      GgitTree* new_tree,
      GgitDiffOptions* diff_options,
      GError** error
    )

#### Description [src]

Creates a `GgitDiff` which compares `old_tree` and `new_tree`.

If `diff_options` is `NULL` then the defaults specified in `ggit_diff_options_new()` are used.

#### Parameters

`repository`

  Type: `GgitRepository`

  A `GgitRepository`.

  The data is owned by the caller of the function.

`old_tree`

  Type: `GgitTree`

  A `GgitTree` to diff from.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`new_tree`

  Type: `GgitTree`

  A `GgitTree` to diff to.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`diff_options`

  Type: `GgitDiffOptions`

  A `GgitDiffOptions`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitDiff`

A newly allocated `GgitDiff` if there was no error, `NULL` otherwise.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.